.\" Man page generated from reStructuredText.
.
.TH "S3QLCTRL" "1" "Jun 22, 2021" "3.7.3" "S3QL"
.SH NAME
s3qlctrl \- Control a mounted S3QL file system
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.SH SYNOPSIS
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
s3qlctrl [options] <action> <mountpoint> ...
.ft P
.fi
.UNINDENT
.UNINDENT
.sp
where \fBaction\fP may be either of \fBflushcache\fP,
\fBupload\-meta\fP, \fBcachesize\fP or
\fBlog\-metadata\fP\&.
.SH DESCRIPTION
.sp
S3QL is a file system for online data storage. Before using S3QL, make
sure to consult the full documentation (rather than just the man pages
which only briefly document the available userspace commands).
.sp
The \fBs3qlctrl\fP command performs various actions on the S3QL file system mounted
in \fBmountpoint\fP\&.
.sp
\fBs3qlctrl\fP can only be called by the user that mounted the file system
and (if the file system was mounted with \fB\-\-allow\-other\fP or
\fB\-\-allow\-root\fP) the root user.
.sp
The following actions may be specified:
.INDENT 0.0
.TP
.B flushcache
Flush file system cache, i.e. upload all changed file data
to the backend.  The command blocks until the cache has been
flushed.
.TP
.B dropcache
Flush, and then drop file system cache. The command
blocks until the cache has been flushed and dropped.
.TP
.B upload\-meta
Upload metadata to the backend. All file system operations will
block while a snapshot of the metadata is prepared for upload.
.TP
.B cachesize
Changes the cache size of the file system. This action requires an
additional argument that specifies the new cache size in KiB, so the
complete command line is:
.INDENT 7.0
.INDENT 3.5
.sp
.nf
.ft C
s3qlctrl [options] cachesize <mountpoint> <new\-cache\-size>
.ft P
.fi
.UNINDENT
.UNINDENT
.TP
.B log
Change the amount of information that is logged into
\fB~/.s3ql/mount.log\fP file. The complete syntax is:
.INDENT 7.0
.INDENT 3.5
.sp
.nf
.ft C
s3qlctrl [options] log <mountpoint> <level> <module> [<module> ...]
.ft P
.fi
.UNINDENT
.UNINDENT
.sp
here \fBlevel\fP is the desired new log level and may be either of
\fIdebug\fP, \fIinfo\fP or \fIwarn\fP\&. One or more \fBmodule\fP may only be
specified with the \fIdebug\fP level and allow to restrict the debug
output to just the listed modules.
.UNINDENT
.SH OPTIONS
.sp
The \fBs3qlctrl\fP command also accepts the following options, no matter
what specific action is being invoked:
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.TP
.BI \-\-log \ <target>
Destination for log messages. Specify \fBnone\fP for
standard output or \fBsyslog\fP for the system logging
daemon. Anything else will be interpreted as a file
name. Log files will be rotated when they reach 1 MiB,
and at most 5 old log files will be kept. Default:
\fBNone\fP
.TP
.BI \-\-debug\-modules \ <modules>
Activate debugging output from specified modules (use
commas to separate multiple modules). Debug messages
will be written to the target specified by the
\fB\-\-log\fP option.
.TP
.B \-\-debug
Activate debugging output from all S3QL modules. Debug
messages will be written to the target specified by
the \fB\-\-log\fP option.
.TP
.B \-\-quiet
be really quiet
.TP
.B \-\-version
just print program version and exit
.UNINDENT
.UNINDENT
.UNINDENT
.sp
Hint: run \fBs3qlctrl <action> \-\-help\fP to get help on the additional arguments
that the different actions take.
.SH EXIT CODES
.sp
\fBs3qlctrl\fP may terminate with the following exit codes:
.INDENT 0.0
.TP
.B 0
Everything went well.
.TP
.B 1
An unexpected error occured. This may indicate a bug in the
program.
.TP
.B 2
Invalid command line argument or configuration file key.
.UNINDENT
.SH SEE ALSO
.sp
The S3QL homepage is at \fI\%https://github.com/s3ql/s3ql/\fP\&.
.sp
The full S3QL documentation should also be installed somewhere on your
system, common locations are \fB/usr/share/doc/s3ql\fP or
\fB/usr/local/doc/s3ql\fP\&.
.SH COPYRIGHT
© 2008 Nikolaus Rath <Nikolaus@rath.org>
.\" Generated by docutils manpage writer.
.
